import aws from 'aws-sdk';
export interface IEnvVar {
    key: string;
    value: string;
    secret: boolean;
}
export interface IEnvStack {
    aws: string;
    region: string;
    cpu: number;
    memory: number;
    desiredCount: number;
    cron?: string;
    env: IEnvVar[];
    subnets: string[];
    securityGroups: string[];
}
export interface IStack {
    stack: string;
    type: string;
    test: IEnvStack;
    live: IEnvStack;
}
export declare type ENV = 'live' | 'test';
interface ITransformation {
    clusterName: string;
    imageName: string;
    taskFamily: string;
}
export declare function registerTaskDef(params: aws.ECS.RegisterTaskDefinitionRequest): Promise<unknown>;
export declare function describeTaskDef(taskDef: string): Promise<aws.ECS.DescribeTaskDefinitionResponse>;
export declare function compareDefs(old: any | aws.ECS.DescribeTaskDefinitionResponse, recent: any | aws.ECS.RegisterTaskDefinitionRequest): boolean;
export declare function createTaskDefFromStack(tranformation: ITransformation, opts: IStack, name: string, env: ENV): aws.ECS.RegisterTaskDefinitionRequest;
declare function taskDefinition(opts: IStack, name: string, env: ENV, tag: string): Promise<void>;
export default taskDefinition;
